-- Customer specific once-script KFNS#38382.
-- Gebouw GEM055-508 Grote Binckhorst NT verplaatsten naar locatie Den Haag Centraal (GVC00)

SET ECHO ON
SPOOL xKFNS#38382.lst
SET DEFINE OFF

-- Omhangen gebouw met key=163 (onder locatie met key=56) naar nieuwe/eigen locatie met key=55
UPDATE alg_gebouw
   SET alg_locatie_key = 55
 WHERE alg_locatie_key = 56 AND alg_gebouw_key = 163;
COMMIT; 

UPDATE mld_melding m
   SET m.mld_alg_locatie_key = 55
 WHERE m.mld_alg_locatie_key = 56
   AND EXISTS
          (SELECT 1
             FROM alg_v_allonroerendgoed aog
            WHERE aog.alg_onroerendgoed_keys = m.mld_alg_onroerendgoed_keys
              AND aog.alg_gebouw_key = 163);
COMMIT;              

-- hernoem potentieel dubbele objecten 
UPDATE ins_deel d
   SET d.ins_deel_omschrijving = 'L-' || d.ins_deel_omschrijving
 WHERE d.ins_alg_locatie_key = 56
   AND d.ins_alg_ruimte_type = 'R'
   AND ins_deel_verwijder IS NULL
   AND EXISTS
          (SELECT 1
             FROM alg_v_allonroerendgoed aog
            WHERE d.ins_alg_ruimte_key = aog.alg_onroerendgoed_keys
              AND aog.alg_gebouw_key = 163)
   AND EXISTS
          (SELECT 1
             FROM ins_deel d2
            WHERE d2.ins_alg_locatie_key = 55
              AND d2.ins_deel_omschrijving = d.ins_deel_omschrijving);

-- Update objecten naar nieuwe locatie
UPDATE ins_deel d
   SET d.ins_alg_locatie_key = 55
 WHERE d.ins_alg_locatie_key = 56
   AND d.ins_alg_ruimte_type = 'R'
   AND ins_deel_verwijder IS NULL
   AND EXISTS
          (SELECT 1
             FROM alg_v_allonroerendgoed aog
            WHERE d.ins_alg_ruimte_key = aog.alg_onroerendgoed_keys
              AND aog.alg_gebouw_key = 163);
COMMIT;               

UPDATE bez_afspraak a
   SET a.alg_locatie_key = 55
 WHERE a.alg_locatie_key = 56
   AND EXISTS
          (SELECT 1
             FROM alg_v_allonroerendgoed aog
            WHERE aog.alg_onroerendgoed_keys = a.alg_onrgoed_keys
              AND aog.alg_gebouw_key = 163);            

COMMIT;
BEGIN adm.systrackscriptId('$Id$'); END;
/
SPOOL OFF
